> ## Documentation Index
> Fetch the complete documentation index at: https://facetai.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get job by ID



## OpenAPI

````yaml GET /jobs/{job_id}
openapi: 3.1.0
info:
  title: Gemma Training Service
  description: Training backend (Cloud Run GPU) for fine-tuning LLMs with various methods
  version: 1.0.0
servers:
  - url: https://training-service-433968519479.us-central1.run.app
security: []
paths:
  /jobs/{job_id}:
    get:
      summary: Get Job Status
      operationId: get_job_status_jobs__job_id__get
      parameters:
        - name: job_id
          in: path
          required: true
          schema:
            type: string
            title: Job Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobStatusResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    JobStatusResponse:
      properties:
        job_name:
          type: string
          title: Job Name
        status:
          type: string
          enum:
            - queued
            - preparing
            - training
            - completed
            - failed
          title: Status
        modality:
          anyOf:
            - type: string
              enum:
                - text
                - vision
            - type: 'null'
          title: Modality
          default: text
        wandb_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Wandb Url
        processed_dataset_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Processed Dataset Id
        adapter_path:
          anyOf:
            - type: string
            - type: 'null'
          title: Adapter Path
        base_model_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Base Model Id
        gguf_path:
          anyOf:
            - type: string
            - type: 'null'
          title: Gguf Path
        metrics:
          anyOf:
            - $ref: '#/components/schemas/EvaluationMetrics'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
      type: object
      required:
        - job_name
        - status
      title: JobStatusResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EvaluationMetrics:
      properties:
        accuracy:
          anyOf:
            - type: number
            - type: 'null'
          title: Accuracy
        perplexity:
          anyOf:
            - type: number
            - type: 'null'
          title: Perplexity
        eval_loss:
          anyOf:
            - type: number
            - type: 'null'
          title: Eval Loss
        eval_runtime:
          anyOf:
            - type: number
            - type: 'null'
          title: Eval Runtime
      type: object
      title: EvaluationMetrics
      description: |-
        Evaluation metrics structure to hold results after training.
        This is used to store metrics like accuracy, loss, etc.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````